Package org.apache.sysds.runtime.functionobjects

# Class CTable

java.lang.Object
org.apache.sysds.runtime.functionobjects.FunctionObject
org.apache.sysds.runtime.functionobjects.ValueFunction
org.apache.sysds.runtime.functionobjects.CTable

All Implemented Interfaces:
  `Serializable`

public class CTable extends ValueFunction

See Also:
  - Serialized Form

## Method Summary

Modifier and Type
Method
Description
`void`
`execute(double v1, double v2, double w, boolean ignoreZeros, CTableMap resultMap)`
`void`
`execute(double v1, double v2, double w, boolean ignoreZeros, CTableMap resultMap, MatrixBlock resultBlock)`
`void`
`execute(double v1, double v2, double w, boolean ignoreZeros, MatrixBlock ctableResult)`
`int`
`execute(int row, double v2, double w, int maxCol, int[] retIx, double[] retVals)`
`Pair<MatrixIndexes,Double>`
`execute(long row, double v2, double w)`
`void`
`execute(MatrixBlock in1, MatrixBlock in2, MatrixBlock w, CTableMap resultMap, int k)`
`static CTable`
`getCTableFnObject()`
`Callable<Object>`
`getMergePartialCTMapsTask(CTableMap map1, CTableMap map2, ArrayList<CTableMap> pmaps)`
`Callable<Object>`
`getPartialCTableTask(MatrixBlock in1, MatrixBlock in2, MatrixBlock w, int startInd, int blockSize, ArrayList<CTableMap> pmaps)`

### Methods inherited from class org.apache.sysds.runtime.functionobjects.ValueFunction

`isBinary, requiresCorrection, toString`

### Methods inherited from class org.apache.sysds.runtime.functionobjects.FunctionObject

`clone, execute, execute, execute, execute, execute, execute, execute, execute, execute, execute, execute, execute, execute`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### getCTableFnObject

public static CTable getCTableFnObject()

### execute

public void execute(double v1, double v2, double w, boolean ignoreZeros, CTableMap resultMap, MatrixBlock resultBlock)

### execute

public void execute(double v1, double v2, double w, boolean ignoreZeros, CTableMap resultMap)

### execute

public void execute(double v1, double v2, double w, boolean ignoreZeros, MatrixBlock ctableResult)

### execute

public int execute(int row, double v2, double w, int maxCol, int[] retIx, double[] retVals)

### execute

public Pair<MatrixIndexes,Double> execute(long row, double v2, double w)

### execute

public void execute(MatrixBlock in1, MatrixBlock in2, MatrixBlock w, CTableMap resultMap, int k)

### getPartialCTableTask

public Callable<Object> getPartialCTableTask(MatrixBlock in1, MatrixBlock in2, MatrixBlock w, int startInd, int blockSize, ArrayList<CTableMap> pmaps)

### getMergePartialCTMapsTask

public Callable<Object> getMergePartialCTMapsTask(CTableMap map1, CTableMap map2, ArrayList<CTableMap> pmaps)